CVE-2005-3571
CVSS5.0
发布时间 :2005-11-16 02:42:00
修订时间 :2016-10-17 23:36:14
NMCO    

[原文]PHP file inclusion vulnerability in protection.php in CodeGrrl (a) PHPCalendar 1.0, (b) PHPClique 1.0, (c) PHPCurrently 2.0, (d) PHPFanBase 2.1, and (e) PHPQuotes 1.0 allows remote attackers to include arbitrary local files via the siteurl parameter when register_globals is enabled. NOTE: It was later reported that PHPFanBase 2.2 is also affected.


[CNNVD]Codegrrl 多个远程文件包含漏洞(CNNVD-200511-182)

        CodeGrrl是一个关注于PHP脚本的网站。
        CodeGrrl (a) PHPCalendar 1.0、(b) PHPClique 1.0、(c) PHPCurrently 2.0、(d) PHPFanBase 2.1和(e) PHPQuotes 1.0中的PHP文件包含漏洞,可让远程攻击者在启用register_globals时通过siteurl参数包含任意本地文件。注意:后来有报告称PHPFanBase 2.2也受到影响。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

cpe:/a:codegrrl:phpcurrently:2.0
cpe:/a:codegrrl:phpclique:1.0
cpe:/a:codegrrl:phpcalendar:1.0
cpe:/a:codegrrl:phpfanbase:2.2
cpe:/a:codegrrl:phpquotes:1.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3571
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3571
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-182
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=113199214723444&w=2
(UNKNOWN)  BUGTRAQ  20051113 PHPCalendar (and some more codegrrl.com products) arbitrary code
http://securityreason.com/securityalert/176
(UNKNOWN)  SREASON  176
http://securitytracker.com/id?1015206
(UNKNOWN)  SECTRACK  1015206
http://www.securityfocus.com/bid/15417
(UNKNOWN)  BID  15417
http://www.securityfocus.com/bid/21664
(UNKNOWN)  BID  21664
http://www.vupen.com/english/advisories/2005/2402
(VENDOR_ADVISORY)  VUPEN  ADV-2005-2402

- 漏洞信息

Codegrrl 多个远程文件包含漏洞
中危 代码注入
2005-11-16 00:00:00 2007-01-02 00:00:00
远程  
        CodeGrrl是一个关注于PHP脚本的网站。
        CodeGrrl (a) PHPCalendar 1.0、(b) PHPClique 1.0、(c) PHPCurrently 2.0、(d) PHPFanBase 2.1和(e) PHPQuotes 1.0中的PHP文件包含漏洞,可让远程攻击者在启用register_globals时通过siteurl参数包含任意本地文件。注意:后来有报告称PHPFanBase 2.2也受到影响。

- 公告与补丁

        暂无数据

- 漏洞信息

20816
CodeGrrl Multiple Products protection.php siteurl Variable File Inclusion
Remote / Network Access

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-11-13 Unknow
2005-11-13 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站